# This is where we install our httpd.conf snippet
%define httpdConfDir	%{_sysconfdir}/httpd/conf.d
%define htmlRoot	/var/www/html/qmailmrtg

Name: qmailmrtg7
Summary: an MRTG package for displaying qmail statistics
Version: 4.2
Release: 4
Vendor: Inter7 Internet Technologies, Inc.
URL: http://www.inter7.com/index.php?page=qmailmrtg7
Packager: Japheth Cleaver <cleaver@rohan.sdsu.edu>
Source0: http://www.inter7.com/qmailmrtg7/%{name}-%{version}.tar.gz
Source1: qmailmrtg7.httpd.conf
Source2: qmailmrtg7.cronfile
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Group: Utilities/System
Requires: qmail, mrtg, vixie-cron
Obsoletes: qmailmrtg

%description
qmailmrtg7 uses qmail's excellent and extensive logging via multilog,
tcpserver and qmail-send. qmailmrtg7 takes the pop3 smtp and qmail
transaction logs and sends them to 9 different mrtg graphs, each graph
with 4 historical time series. 

%prep

%setup -q

%build

make

%install

rm -fR %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{httpdConfDir}
install -d %{buildroot}%{htmlRoot}
install -d %{buildroot}%{_sysconfdir}/cron.d

strip qmailmrtg7

%{__perl} -pi -e "s#/usr/local/bin/#%{_sbindir}/#g" qmail.mrtg.cfg
%{__perl} -pi -e "s#/var/log/qmail\`#/var/log/qmail/send\`#g" qmail.mrtg.cfg
%{__perl} -pi -e "s#/var/log/smtp\`#/var/log/qmail/smtpd\`#g" qmail.mrtg.cfg
%{__perl} -pi -e "s#/var/log/pop3\`#/var/log/qmail/pop3d\`#g" qmail.mrtg.cfg

%{__perl} -pi -e "s#/var/log/qmail\`#/var/log/qmail/send\`#g" qmail.mrtg.cfg
%{__perl} -pi -e "s#/var/log/smtps\`#/var/log/qmail/smtpd-ssl\`#g" qmail.mrtg.cfg
%{__perl} -pi -e "s#/var/log/pop3s\`#/var/log/qmail/pop3d-ssl\`#g" qmail.mrtg.cfg

install -m 644 qmail.mrtg.cfg %{buildroot}%{_sysconfdir}/qmailmrtg7.cfg

install -m 755 qmailmrtg7 %{buildroot}%{_sbindir}/qmailmrtg7
install -m 644 index.html %{buildroot}%{htmlRoot}/index.html

install -m 644 %{SOURCE1} %{buildroot}%{httpdConfDir}/qmailmrtg7.conf
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.d/qmailmrtg


%post

MYDDOMAIN=`uname -n`

%{__perl} -pi -e "s/FQDN/$MYDDOMAIN/g" %{_sysconfdir}/qmailmrtg7.cfg
%{__perl} -pi -e "s/FQDN/$MYDDOMAIN/g" %{htmlRoot}/index.html

env LANG=C mrtg %{_sysconfdir}/qmailmrtg7.cfg >/dev/null 2>&1
env LANG=C mrtg %{_sysconfdir}/qmailmrtg7.cfg >/dev/null 2>&1
env LANG=C mrtg %{_sysconfdir}/qmailmrtg7.cfg >/dev/null 2>&1

/sbin/service httpd status >/dev/null && /sbin/service httpd reload
:

%postun

/sbin/service httpd status >/dev/null && /sbin/service httpd reload
:

%clean
rm -fR  %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL FAQ

%{_sbindir}/qmailmrtg7
%config %{_sysconfdir}/qmailmrtg7.cfg
%config %{_sysconfdir}/cron.d/qmailmrtg
%config %{httpdConfDir}/qmailmrtg7.conf

%dir %{htmlRoot}
%config %{htmlRoot}/index.html

%changelog
* Mon Sep 30 2013 Japheth Cleaver <cleaver@terabithia.org> 4.2-4
- rebuild

* Mon Dec 05 2005 Japheth Cleaver <cleaver@rohan.sdsu.edu> 4.2-3
- Correct locations for SSL services

* Wed Nov 30 2005 Japheth Cleaver <cleaver@rohan.sdsu.edu> 4.2-2
- Really add crontab file for processing

* Tue Nov 15 2005 Japheth Cleaver <cleaver@rohan.sdsu.edu> 4.2-1
- Update to 4.2(!)
- Add crontab file for processing
- Move to /var/www/html/qmailmrtg7

* Fri Feb 27 2004 Japheth Cleaver <cleaver@rohan.sdsu.edu> 3.4-1
- Created new spec file
- Point to logs at /var/log/qmail/{send,smtpd,pop3d}
- Move qmailmrtg7 to /usr/sbin

